Get Mandate
curl --request GET \
--url https://api.clickpesa.com/third-parties/customers/crdb-direct-debit-mandate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clickpesa.com/third-parties/customers/crdb-direct-debit-mandate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clickpesa.com/third-parties/customers/crdb-direct-debit-mandate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mandateRequestId": "69383ce4f8b5a8e2077df9c7",
"mandateReference": "9009099",
"mandateStatus": "ACTIVE",
"mandateCallbackUrl": "https://your-system.com/webhooks/crdb-mandate-status",
"mandateConfirmedAt": "2025-12-09T15:16:09.557Z",
"crdbAccountDetails": {
"phoneNumber": "255754712650",
"debitAccount": "0152590146100",
"accountName": "Ramona Cormier-Hilll"
},
"paymentPlanDetails": {
"startDate": "2025-12-10",
"endDate": "2025-12-30",
"frequencyType": "DAILY",
"frequency": 2,
"installmentAmount": 2500,
"installmentsNumber": 11,
"installmentsCompleted": 0,
"remainingAmount": 27500,
"totalAmount": 27500,
"billDetails": "Loan No. 233422 from Inc."
}
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123
}{
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}{
"error": "CRDB direct debit mandate not found"
}CRDB DIRECT DEBIT
Get Mandate
Get CRDB Direct Debit mandate details and linked payment plan summary by mandate request ID
GET
/
customers
/
crdb-direct-debit-mandate
Get Mandate
Pass
requestId (the mandateRequestId from Request Mandate Approval) as a query parameter.Authorizations
Bearer token from Generate Authorization Token
Query Parameters
The mandateRequestId returned when mandate approval was requested
Response
Mandate and payment plan details
⌘I

